package com.ms.api.dto.dsorder;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
public class PurchaseOrderCancelMessageDTO extends DsMessageDTO {
    private String skuId;
    private List<Item> items;

    @Data
    public static class Item implements Serializable {
        private Long purchaseOrderItemToPlatformOrderItemId;
        private String memberId;
        private Long platformShopId;
        private String platformOrderId;
        private Long platformItemId;
        private Long platformSkuId;
        private String sourceOrderId;
        private Long sourceSkuId;
        private Long sourceItemId;
        private String actionSource;
        private Integer isJxhyOffer;
        private Long createPurchaseOrderLogId;
        private String purchaseSource;
        private String flow;
        private String gmtCreate;
        private String gmtModified;
    }
}
