package com.ms.api.dto.order;

import java.util.Date;
import java.util.List;

import lombok.Data;

/*
 *  获取分销订单列表 请求参数 业务调整
 */
@Data
public class SearchDsOrderFilterDTO {

    private String authShopIds;
    /*
     * 订单起始时间
     */
    private Date orderStartTime;

    private Date orderEndTime;

    private String hasAfterSale;
    /*
     * 订单号
     */
    private List<String> orderIds;
    /*
     * 采购单号
     */
    private List<String> purchaseOrderSn;

    private Integer isIsolation;

    private List<Integer> orderStatus;

    private List<Integer> dsPurchaseStatus;

    private List<Integer> dsWaitPayStatus;

    private List<Integer> afterSaleStatus;

    private String orderTags;

    private String purchaseOrderSeller;

    private Integer isPriorirtyDelivery;

    private Integer skipSearchWithEs;

    private Integer delaySendStatus;

    private String skuName;

    private String productId;

    private String buyerRemark;

    private String sellerRemark;

    private String sellerNote;

    /**
     * 需要分割一下
     **/
    private String sellerRemarkStars;


    private String logisticsCode;

    private String fullname;

    private String mobile;

    private String skuSubName;

    private String purchaseOrderStatus;

    private String dsSourcePlatform;

    private String dsOrderRelateState;

    private Date purchaseStartTime;

    private Date purchaseEndTime;

    private String hasBuyerRemark;

    private String hasSellerRemark;

    private String hasSellerNote;

    private String hasNoRemarks;

    private Boolean isShowSameReceiverOrder;

}
