package com.ms.biz.bo;

import lombok.Data;

@Data
public class MoveTaskProductBO {
    /**
     * 来源商品图片
     */
    private String sourceImgUrl;

    /**
     * 来源商品标题
     */
    private String sourceTitle;

    /**
     * 来源商品id
     */
    private long sourceItemId;

    private String itemNum;

    /**
     * 抖店类目id
     */
    private String cid;

    /**
     * 搬家配置id
     */
    private int moveShopConfigId;

    /**
     * 是否极速模式
     */
    private int isFastMode;

    /**
     * sku编辑价格之后的map信息
     * 例如：{'skuId' : 100}
     */
    private String skus;

    private boolean isFromDs;

    private String sourceShopName;

    private String site;

    private String source;

    private String cnaliDsDetailId;
}
