
package com.ms.biz.common;

import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 分页数据结果
 **/
@Data
@EqualsAndHashCode(callSuper = false)
public class PageResult<T> {

    /**
     * 总条数
     **/
    private Long total;

    /**
     * 页数
     **/
    private Integer currentPage;
    /**
     * 分页大小
     **/
    private Integer pageSize;

    private List<T> list;


}
