package com.ms.biz.dto.openspi.request;

import com.doudian.open.gson.annotations.SerializedName;
import lombok.Data;

import java.io.Serializable;

@Data
public class Address {
    private Area province;

    private Area city;

    private Area town;

    private Area street;

    @SerializedName("encrypt_post_tel")
    private String encryptPostTel;

    @SerializedName("encrypt_post_receiver")
    private String encryptPostReceiver;

    @SerializedName("encrypt_detail")
    private String encryptDetail;

    @SerializedName("detail")
    private String detail;

    @SerializedName("post_tel")
    private String postTel;

    @SerializedName("post_receiver")
    private String postReceiver;


    @Data
    public static class Area implements Serializable {
        private String id;
        private String name;
    }
}
