package com.ms.dal.entity;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 抖店售后消息处理buffer
 * @TableName doudian_aftersale_msg_buffer
 */

@Data
public class DoudianAftersaleMsgBuffer implements Serializable {
    /**
     * 自增id
     */
    private Long doudianAftersaleMsgBufferId;

    /**
     * 官方消息id
     */
    private String msgId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 创建时间
     */
    private Date gmtCreate;

    /**
     * 修改时间
     */
    private Date gmtModified;

    private static final long serialVersionUID = 1L;
}