package com.ms.dal.entity;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 抖店售后消息处理queue
 * @TableName doudian_aftersale_msg_queue
 */

@Data
public class DoudianAftersaleMsgQueue implements Serializable {
    /**
     * 自增id
     */
    private Long doudianAftersaleMsgQueueId;

    /**
     * 官方消息id
     */
    private String msgId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 锁id
     */
    private Integer locked;

    /**
     * 锁时间
     */
    private Date gmtLocked;

    /**
     * 主机名
     */
    private String hostname;

    /**
     * 上次心跳时间
     */
    private Date gmtLastHeartbeat;

    /**
     * 创建时间
     */
    private Date gmtCreate;

    /**
     * 修改时间
     */
    private Date gmtModified;

    private static final long serialVersionUID = 1L;
}