package com.ms.dal.entity;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 抖店订单消息
 * @TableName doudian_message
 */
@Data
public class DoudianMessage implements Serializable {
    /**
     * 自增id
     */
    private Long doudianMessageId;

    /**
     * 官方的消息id
     */
    private String msgId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 消息类型
     */
    private Integer tag;

    /**
     * 消息内容 json
     */
    private String data;

    /**
     * 消息处理状态
     */
    private String status;

    /**
     * 消息处理失败原因
     */
    private String reason;

    /**
     * 创建时间
     */
    private Date gmtCreate;

    /**
     * 修改时间
     */
    private Date gmtModified;

    private static final long serialVersionUID = 1L;
}