package com.ms.dal.entity;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 抖店消息推送
 * @TableName doudian_msg
 */

@Data
public class DoudianMsg implements Serializable {
    /**
     * 自增id
     */
    private Long doudianMsgId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 消息 json，包含多條消息
     */
    private String msgBody;

    /**
     * 消息处理状态
     */
    private String status;

    /**
     * 处理失败原因
     */
    private String reason;

    /**
     * 创建时间
     */
    private Date gmtCreate;

    /**
     * 修改时间
     */
    private Date gmtModified;

    private static final long serialVersionUID = 1L;
}