package com.ms.dal.entity;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 抖店消息解析队列
 * @TableName doudian_msg_parse_queue
 */
@Data
public class DoudianMsgParseQueue implements Serializable {
    /**
     * 自增id
     */
    private Long doudianMsgParseQueueId;

    /**
     * 抖店消息推送表主键
     */
    private Long doudianMsgId;

    /**
     * 锁id
     */
    private Long locked;

    /**
     * 锁时间
     */
    private Date gmtLocked;

    /**
     * 主机名
     */
    private String hostname;

    /**
     * 上次心态时间
     */
    private Date gmtLastHeartbeat;

    /**
     * 创建时间
     */
    private Date gmtCreate;

    /**
     * 创建时间
     */
    private Date gmtModified;

    private static final long serialVersionUID = 1L;
}