package com.ms.dal.entity;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 软件内物流信息
 * @TableName logistics
 */

@Data
public class Logistics implements Serializable {
    /**
     * 自增id
     */
    private Long logisticsId;

    /**
     * 物流公司名称
     */
    private String logisticsName;

    /**
     * 软件内定义的物流公司编码
     */
    private String logisticsCode;

    /**
     * 状态
     */
    private String status;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 创建时间
     */
    private Date gmtCreate;

    /**
     * 修改时间
     */
    private Date gmtModified;

    private static final long serialVersionUID = 1L;
}