package com.ms.dal.entity;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 订单地址表
 * @TableName purchase_order_address
 */

@Data
public class PlatformPurchaseOrderAddress implements Serializable {
    /**
     * 选品采购单号
     */
    private String purOrderId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 省份
     */
    private String provinceName;

    /**
     * 省份id
     */
    private String provinceId;

    /**
     * 市id
     */
    private String cityId;

    /**
     * 市
     */
    private String cityName;

    /**
     * 区
     */
    private String townName;

    /**
     * 区id
     */
    private String townId;

    /**
     * Street ID
     */
    private String streetId;

    /**
     * Street Name
     */
    private String streetName;

    /**
     * 收件人地址
     */
    private String encryptDetail;

    /**
     * 收件人手机号
     */
    private String postTel;

    /**
     * 收件人姓名
     */
    private String postReceiver;

    /**
     * 创建时间
     */
    private Date gmtCreate;

    /**
     * 修改时间
     */
    private Date gmtModified;

    private static final long serialVersionUID = 1L;
}