package com.ms.dal.entity;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 采购订单SKU表
 * @TableName purchase_order_sku
 */

@Data
public class PlatformPurchaseOrderSku implements Serializable {
    /**
     * 采购子单
     */
    private String purSkuOrderId;

    /**
     * 选品采购单号
     */
    private String purOrderId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 分销子单
     */
    private String skuOrderId;

    /**
     * 外部商品ID
     */
    private String outerProductId;

    /**
     * 外部skuid
     */
    private String outerSkuId;

    /**
     * 货品id
     */
    private Long cargoId;

    /**
     * 货品skuid
     */
    private Long cargoSkuId;

    /**
     * 抖店商品id
     */
    private Long productId;

    /**
     * 抖店skuid
     */
    private Long skuId;

    /**
     * 数量
     */
    private Long num;

    /**
     * 创建时间
     */
    private Date gmtCreate;

    /**
     * 修改时间
     */
    private Date gmtModified;

    private static final long serialVersionUID = 1L;
}