package com.ms.dal.entity;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 
 * @TableName purchase_order
 */

@Data
public class PurchaseOrder implements Serializable {
    /**
     * 
     */
    private Long purchaseOrderId;

    /**
     * 店铺ID
     */
    private Long shopId;

    /**
     * 选品采购单号
     */
    private String purOrderId;

    /**
     * 平台订单id
     */
    private Long orderId;

    /**
     * 采购平台
     */
    private String purchasePlatform;

    /**
     * 采购单号
     */
    private String purchaseOrderSn;

    /**
     * 买家
     */
    private String purchaseOrderBuyer;

    /**
     * 卖家
     */
    private String purchaseOrderSeller;

    /**
     * 金额
     */
    private BigDecimal purchaseOrderPayment;

    /**
     * 采购状态
     */
    private String purchaseOrderStatus;

    /**
     * 物流名称
     */
    private String purchaseOrderLogisticsName;

    /**
     * 运单号
     */
    private String purchaseOrderWaybillCode;

    /**
     * 发货时间
     */
    private Date purchaseOrderSendTime;

    /**
     * 姓名
     */
    private String purchaseOrderFullname;

    /**
     * 手机号
     */
    private String purchaseOrderMobile;

    /**
     * 地址
     */
    private String purchaseOrderFullAddress;

    /**
     * 采购时间
     */
    private Date purchaseOrderStartTime;

    /**
     * 采购人姓名
     */
    private Integer logisticsIsAccept;

    /**
     * 状态
     */
    private String status;

    /**
     * 创建时间
     */
    private Date gmtCreate;

    /**
     * 修改时间
     */
    private Date gmtModified;

    private static final long serialVersionUID = 1L;
}