package com.ms.dal.entity;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 退款单表
 * @TableName refund_purchase_order
 */

@Data
public class RefundPurchaseOrder implements Serializable {
    /**
     * 
     */
    private Long refundPurchaseOrderId;

    /**
     * 退款单号
     */
    private String refundId;

    /**
     * 选品采购单号
     */
    private String purOrderId;

    /**
     * 订单id
     */
    private String orderId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 拒绝原因
     */
    private String rejectReason;

    /**
     * 仅退款
     */
    private Integer onlyRefund;

    /**
     * 是否要求退货
     */
    private Integer refundGoods;

    /**
     * 买家是否已收到货
     */
    private Integer goodsReceived;

    /**
     * 1：买家未收到货 2：买家已收到货 3：买家已退货
     */
    private Integer goodsStatus;

    /**
     * 卖家手机号
     */
    private String sellerMobile;

    /**
     * 卖家电话
     */
    private String sellerTel;

    /**
     * 卖家姓名
     */
    private String sellerRealName;

    /**
     * 卖家地址
     */
    private String sellerReceiveAddress;

    /**
     * 超时时间
     */
    private Date gmtTimeOut;

    /**
     * 采购单状态
     */
    private String status;

    /**
     * 创建时间
     */
    private Date gmtCreate;

    /**
     * 修改时间
     */
    private Date gmtModified;

    private static final long serialVersionUID = 1L;
}