package com.ms.dal.entity;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author: laixw
 * @Date: 2023/8/24
 */
@Data
public class Shop implements Serializable {

    /**
     * shop_id
     */
    private Long shopId;

    /**
     * shop_name
     */
    private String shopName;

    /**
     * access_token
     */
    private String accessToken;

    /**
     * refresh_token
     */
    private String refreshToken;

    /**
     * expires_in
     */
    private String expiresIn;

    /**
     * last_login_ip
     */
    private String lastLoginIp;

    /**
     * total_product
     */
    private Integer totalProduct;

    /**
     * total_move_detail
     */
    private Integer totalMoveDetail;

    /**
     * app_version
     */
    private String appVersion;

    /**
     * gmt_last_login
     */
    private Date gmtLastLogin;

    /**
     * gmt_expire
     */
    private Date gmtExpire;

    /**
     * gmt_create
     */
    private Date gmtCreate;

    /**
     * gmt_modified
     */
    private Date gmtModified;
}
