package com.ms.api.dto.dsapi.request;

import com.alibaba.fastjson.annotation.JSONField;
import com.ms.api.util.DoubleValueSerializer;
import lombok.Data;

@Data
public class PlatformOrderItemDTO {
    private String sourceItemId;
    private String specId;
    private Long sourceSkuId;
    private String platformItemId;
    private String platformOrderId;
    private Integer itemTotal;

    @JSONField(serializeUsing = DoubleValueSerializer.class)
    private Double jxhyPrice;

    private Boolean isJxhyOffer;
    private String instanceCode;
    private String platformSkuSubName;
    private Long platformSkuId;
}
