package com.ms.api.dto.dsapi.response;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

@Data
public class CommonResponseDTO {
    @JSONField(name = "code")
    protected String code;

    @JSONField(name = "message")
    protected String message;

    @JSONField(name = "result")
    protected String result;

    @JSONField(name = "reason")
    protected String reason;

    public boolean isSuccess() {
        return "success".equals(result);
    }
}
