package com.ms.api.dto.dsapi.response;

import lombok.Data;

import java.io.Serializable;
import java.util.Map;

@Data
public class GetAuthShopMemberInfosResponseDTO extends CommonResponseDTO {
    private Map<String, MemberInfo> memberInfos;

    @Data
    public static class MemberInfo implements Serializable {
        private String memberId;
        private String sellerName;
        private String resourceOwner;
    }
}
