package com.ms.api.dto.dsapi.response;

import lombok.Data;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

@Data
public class SourceProductInfo {
    private Long sourceItemId;
    private String productType;
    private String categoryName;
    private String status;
    private String title;
    private String productUrl;
    private List<String> images;
    private String instanceCode;
    private Integer isJxhyOffer;
    private String sellerLoginId;
    private Long sellerId;
    private String resourceOwner;
    private List<SourceSkuInfo> skus;
    private EncryptLogisticsOrderSupportChannel encryptLogisticsOrderSupportChannel;
    private Map<String, String> platformSkuIdAndSourceSkuIdMap;

    @Data
    public static class EncryptLogisticsOrderSupportChannel implements Serializable {
        private List<String> supportChannels;
    }
}

