package com.ms.api.dto.order;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.ToStringSerializer;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class AllowAutoPurchaseProductDTO {
    /**
     * 商品id
     */
    @JSONField(serializeUsing = ToStringSerializer.class)
    private Long productId;

    /**
     * 商品名称
     */
    private String name;

    /**
     * 商品价格
     */
    private BigDecimal price;

    /**
     * 商品图片
     */
    private String img;
}
