package com.ms.api.dto.order;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.ms.api.dto.dsorder.AllowDsEncryptOrderSourceSellerDTO;
import lombok.Data;

import java.util.Map;

@Data
public class PlatformShopSettingDTO {
    @JSONField(serialzeFeatures = SerializerFeature.WriteMapNullValue)
    private Integer isEncryptDsOrder;
    @JSONField(serialzeFeatures = SerializerFeature.WriteMapNullValue)
    private Integer isEncryptDsOrderIfSellerSupport;
    @JSONField(serialzeFeatures = SerializerFeature.WriteMapNullValue)
    private String encryptDsOrderType;
    @JSONField(serialzeFeatures = SerializerFeature.WriteMapNullValue)
    private Map<String, AllowDsEncryptOrderSourceSellerDTO> allowDsEncryptOrderSourceSellers;
}
