package com.ms.biz.bo;

import com.alibaba.fastjson.JSONObject;
import com.ms.biz.common.StrObjMap;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class MoveShopSettingBO {

    private Integer moveShopSettingId;

    /**
     * shop_id
     */
    private Long shopId;

    /**
     * config_name
     */
    private String configName;

    /**
     * is_config_default
     */
    private int isConfigDefault;


    /**
     * delivery_delay_day
     */
    private Integer deliveryDelayDay;

    /**
     * freight_template_id
     */
    private Integer freightTemplateId;

    /**
     * supply_7day_return
     */
    private int supply7dayReturn;

    /**
     * reduce_type
     */
    private int reduceType;

    /**
     * move_onsale_type
     */
    private int moveOnsaleType;

    /**
     * price_percent
     */
    private BigDecimal pricePercent;

    /**
     * price_add
     */
    private BigDecimal priceAdd;

    /**
     * price_sub
     */
    private BigDecimal priceSub;

    /**
     * price_tail
     */
    private Integer priceTail;

    /**
     * price_decimal
     */
    private String priceDecimal;

    /**
     * price_decimal_diy_value
     */
    private String priceDecimalDiyValue;

    /**
     * is_price_add_post_fee
     */
    private int isPriceAddPostFee;

    /**
     * base_price_type
     */
    private int basePriceType;

    /**
     * price_mode
     */
    private String priceMode;

    /**
     * ali_price_type
     */
    private String aliPriceType;

    /**
     * no_consign_price_type
     */
    private int noConsignPriceType;

    /**
     * height
     */
    private String height;

    /**
     * width
     */
    private String width;

    /**
     * length
     */
    private String length;

    /**
     * brand_id
     */
    private String brandId;

    /**
     * brand_name
     */
    private String brandName;

    /**
     * stock_type
     */
    private String stockType;

    /**
     * gmt_create
     */
    private Date gmtCreate;

    /**
     * gmt_modified
     */
    private Date gmtModified;

    private int isFastMode;

    /**
     * mobile
     */
    private String mobile;

    private String filterEmptyColorImg;

    private int baseMarketPriceType;

    private int marketPrice;

    private JSONObject price;

    private JSONObject desc;

    private StrObjMap presellTimeSkuSpecNameAndStockPercentMap;

    private Boolean useSourcePresell;

    private Integer resetSkuStockNum;
    private Integer resetSkuZeroStockNum;
    private Integer quantity;

    private String skuCodeRule;

    private Integer autoFilterBanWord;

    private String tailorImgType;
}
