package com.ms.biz.dto.openspi.request;

import com.doudian.open.gson.annotations.SerializedName;
import lombok.Data;

import java.util.List;

@Data
public class CreateOrder {
    @SerializedName("pur_order_id")
    private String purOrderId;

    @SerializedName("order_id")
    private String orderId;

    @SerializedName("post_address")
    private Address postAddress;

    @SerializedName("mask_post_address")
    private Address maskPostAddress;

    @SerializedName("sku_orders")
    private List<SkuOrder> skuOrders;
}
