package com.ms.biz.dto.openspi.response;

import com.alibaba.fastjson.annotation.JSONField;
import com.doudian.open.gson.annotations.SerializedName;
import lombok.Data;

import java.io.Serializable;

@Data
public class PaymentResult {
    @JSONField(name = "pur_order_id")
    @SerializedName("pur_order_id")
    private String purOrderId;

    @JSONField(name = "pay_url")
    @SerializedName("pay_url")
    private PayUrl payUrl;

    @Data
    public static class PayUrl implements Serializable {
        @JSONField(name = "h5_url")
        @SerializedName("h5_url")
        private String h5Url;

        @JSONField(name = "pc_url")
        @SerializedName("pc_url")
        private String pcUrl;
    }
}
