package com.ms.biz.exception;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author elf
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class DeliveryNotReceivedException extends RuntimeException {
    private Long shipTimestamp;
    public DeliveryNotReceivedException(String message, Long shipTimestamp) {
        super(message);
        this.shipTimestamp = shipTimestamp;
    }
}
