package com.ms.biz.paas;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;


/**
 * author       hahafeng
 * email        chenzhifeng.777@bytedance.com
 * date         2022/11/23 5:21 PM
 */

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Item {
    private Long id;
    // title使用ik进行分词
    private String title;
    // brand 不被分词
    private String brand;
    private Double price;
    // brand 不被分词，且不创建索引
    private String images;
}
