package com.ms.dal.entity;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 推送消息消费queue
 * @Author: laixw
 * @Date: 2023/8/24
 */
@Data
public class DsMessageConsumerQueue implements Serializable {

    /**
     * 自增id
     */
    private Long dsMessageConsumerQueueId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 消息id
     */
    private Long dsMessageId;

    /**
     * 锁id
     */
    private Long locked;

    /**
     * 锁时间
     */
    private Date gmtLocked;

    /**
     * 主机名
     */
    private String hostname;

    /**
     * 上次心跳时间
     */
    private Date gmtLastHeartbeat;

    /**
     * 创建时间
     */
    private Date gmtCreate;

    /**
     * 修改时间
     */
    private Date gmtModified;
}
