package com.ms.dal.entity;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 
 * @TableName purchase_order_item
 */

@Data
public class PurchaseOrderItem implements Serializable {
    /**
     * 
     */
    private Long purchaseOrderItemId;

    /**
     * 采购ID
     */
    private Long purchaseOrderId;

    /**
     * 店铺ID
     */
    private Long shopId;

    /**
     * 选品采购单号
     */
    private String purOrderId;

    /**
     * 采购子单号
     */
    private String subItemId;

    /**
     * 平台订单id
     */
    private Long orderId;

    /**
     * 商品ID
     */
    private Long wareId;

    /**
     * SKU ID
     */
    private Long skuId;

    /**
     * 采购链接
     */
    private String purchaseUrl;

    /**
     * 采购价格
     */
    private BigDecimal purchasePrice;

    /**
     * 采购数量
     */
    private Integer purchaseNum;

    /**
     * 状态
     */
    private String status;

    /**
     * 创建时间
     */
    private Date gmtCreate;

    /**
     * 修改时间
     */
    private Date gmtModified;

    private static final long serialVersionUID = 1L;
}