package com.ms.dal.entity;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 退款子单表
 * @TableName refund_purchase_order_sku
 */

@Data
public class RefundPurchaseOrderSku implements Serializable {
    /**
     * 
     */
    private Long refundPurchaseOrderSkuId;

    /**
     * 退款单号
     */
    private String refundId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 选品采购单号
     */
    private String purOrderId;

    /**
     * 采购子单
     */
    private String purSkuOrderId;

    /**
     * 订单id
     */
    private String orderId;

    /**
     * 1688采购子单号
     */
    private String subItemId;

    /**
     * sku数量
     */
    private Integer num;

    /**
     * 创建时间
     */
    private Date gmtCreate;

    /**
     * 修改时间
     */
    private Date gmtModified;

    private static final long serialVersionUID = 1L;
}