package com.ms.dal.mapper;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface QueueMapper {

    int getQueueCnt(@Param("queueName") String queueName, @Param("whereStr") String whereStr);

    @MapKey("shop_id")
    Map<Long, Map<String, Object>> selectShopIdAndCnt(@Param("bufferName") String bufferName, @Param("whereStr") String whereStr);

    List<Map<String, Object>> select(@Param("tableName") String tableName, @Param("whereStr") String where);

    int updateLocked(@Param("tableName") String tableName,
                     @Param("queueIdName") String queueIdName,
                     @Param("queueId") Long queueId,
                     @Param("locked") int locked,
                     @Param("gmtModified") String gmtModified);
}
